Skip to main content
POST
/
v1
/
disputes
/
{id}
/
mark_resolved
Mark a dispute as resolved
curl --request POST \
  --url https://api.yorlet.com/v1/disputes/{id}/mark_resolved \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "dispute",
  "amount": 123,
  "balance_transaction": {
    "id": "<string>",
    "created": 123,
    "object": "balance_transaction",
    "amount": 123,
    "available_on": 123,
    "currency": "<string>",
    "description": "<string>",
    "fee": 123,
    "fee_details": [
      {
        "amount": 123,
        "description": "<string>",
        "tax": 123,
        "tax_percent": 123,
        "type": "<string>"
      }
    ],
    "net": 123,
    "payout": "<string>",
    "source": "<string>",
    "source_object": "<string>",
    "type": "adjustment",
    "account": "<string>",
    "deleted": false
  },
  "currency": "<string>",
  "customer": {
    "id": "<string>",
    "created": 123,
    "object": "customer",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "default_payment_method": "<string>",
    "delinquent": true,
    "description": "<string>",
    "email": "[email protected]",
    "invoice_prefix": "<string>",
    "invoicing": {
      "arrears_emails": true,
      "email_cc": [
        "[email protected]"
      ],
      "email_to": "[email protected]"
    },
    "legal": {
      "dob": {
        "day": 16,
        "month": 6.5,
        "year": 5949.5
      },
      "first_name": "<string>",
      "last_name": "<string>"
    },
    "name": "<string>",
    "phone": "<string>",
    "radar": {
      "message": "<string>",
      "reason": "<string>",
      "risk_level": "<string>"
    },
    "account": "<string>",
    "deleted": false,
    "metadata": {}
  },
  "description": "<string>",
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the resolved dispute.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
dispute
amount
integer
required
balance_transaction
required
currency
string
required
customer
required
description
string | null
required
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.